org.apache.geode.admin

## Interface ManagedEntityConfig

- All Superinterfaces:
    java.lang.Cloneable
  All Known Subinterfaces:
    CacheServerConfig, CacheVmConfig, DistributionLocatorConfig

  Deprecated.
  as of 7.0 use the `management` package instead

      public interface ManagedEntityConfig
      extends java.lang.Cloneable

  Common configuration for all entities that can be managed using the GemFire administration API. Note that once a managed entity has been started, attempts to modify its configuration will cause an `IllegalStateException` to be thrown.
  Since:
    GemFire 4.0
  See Also:
    `ManagedEntity`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Deprecated. Returns a new `ManagedEntityConfig` with the same configuration as this `ManagedEntityConfig`.
    `java.lang.String` | `getHost()` Deprecated. Returns the name of the host on which the managed entity runs or will run.
    `java.lang.String` | `getProductDirectory()` Deprecated. Returns the name of the GemFire product directory to use when administering the managed entity.
    `java.lang.String` | `getRemoteCommand()` Deprecated. Returns the command prefix used to administer a managed entity that is hosted on a remote machine.
    `java.lang.String` | `getWorkingDirectory()` Deprecated. Returns the name of the working directory in which the managed entity runs or will run.
    `void` | `setHost(java.lang.String host)` Deprecated. Sets the name of the host on which the managed entity will run.
    `void` | `setProductDirectory(java.lang.String dir)` Deprecated. Sets the name of the GemFire product directory to use when administering the managed entity.
    `void` | `setRemoteCommand(java.lang.String remoteCommand)` Deprecated. Sets the command prefix used to administer a managed entity that is hosted on a remote machine.
    `void` | `setWorkingDirectory(java.lang.String dir)` Deprecated. Sets the name of the working directory in which the managed entity will run.
    `void` | `validate()` Deprecated. Validates this configuration.

- - ### Method Detail

    - #### getHost

          java.lang.String getHost()

      Deprecated.
      Returns the name of the host on which the managed entity runs or will run.

    - #### setHost

          void setHost(java.lang.String host)

      Deprecated.
      Sets the name of the host on which the managed entity will run.

    - #### getWorkingDirectory

          java.lang.String getWorkingDirectory()

      Deprecated.
      Returns the name of the working directory in which the managed entity runs or will run.

    - #### setWorkingDirectory

          void setWorkingDirectory(java.lang.String dir)

      Deprecated.
      Sets the name of the working directory in which the managed entity will run.

    - #### getProductDirectory

          java.lang.String getProductDirectory()

      Deprecated.
      Returns the name of the GemFire product directory to use when administering the managed entity.

    - #### setProductDirectory

          void setProductDirectory(java.lang.String dir)

      Deprecated.
      Sets the name of the GemFire product directory to use when administering the managed entity.

    - #### getRemoteCommand

          java.lang.String getRemoteCommand()

      Deprecated.
      Returns the command prefix used to administer a managed entity that is hosted on a remote machine. If the remote command is `null` (the default value), then the remote command associated with the distributed system will be used.

    - #### setRemoteCommand

          void setRemoteCommand(java.lang.String remoteCommand)

      Deprecated.
      Sets the command prefix used to administer a managed entity that is hosted on a remote machine.

    - #### validate

          void validate()

      Deprecated.
      Validates this configuration.
      Throws:
        `java.lang.IllegalStateException` - If a managed entity cannot be administered using this configuration

    - #### clone

          java.lang.Object clone()
                          throws java.lang.CloneNotSupportedException

      Deprecated.
      Returns a new `ManagedEntityConfig` with the same configuration as this `ManagedEntityConfig`.
      Throws:
        `java.lang.CloneNotSupportedException`